<?php

namespace App\Models;

use Illuminate\Contracts\Auth\Guard;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BedGroup extends Model
{
    use HasFactory;
    protected $guarded = [];
    public function getFloor()
    {
        return $this->belongsTo(Floor::class,'floor_id');
    }
    public function getBuilding()
    {
        return $this->belongsTo(Building::class,'building_id');
    }
}
